<!--
  -   Copyright 2014-2023 IHE International
  -
  -    Licensed under the Apache License, Version 2.0 (the "License");
  -    you may not use this file except in compliance with the License.
  -    You may obtain a copy of the License at
  -
  -        http://www.apache.org/licenses/LICENSE-2.0
  -
  -    Unless required by applicable law or agreed to in writing, software
  -    distributed under the License is distributed on an "AS IS" BASIS,
  -    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  -    See the License for the specific language governing permissions and
  -    limitations under the License.
  -->

<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml">
    <ui:decorate template="../template/elementsTable.xhtml">
        <tr class="rf-dt-r rf-dt-fst-r">
            <th class="rf-dt-hdr-c" rowspan="19">
                <h:outputText value="#{partIdentification.name}"/>
                <em style="font-weight:normal;">#{messages['net.ihe.gazelle.audit.message.ParticipantObjectIdentification']}</em>
            </th>
            <td class="rf-dt-c">
                <h:outputText value="#{messages['net.ihe.gazelle.audit.message.Distinguisher']}"/>
            </td>
            <td class="rf-dt-c" colspan="3">
                <h:outputText value="#{partIdentification.distinguisher}"/>
            </td>
        </tr>
        <ui:include src="../template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.ParticipantObjectTypeCode']}"/>
            <ui:param name="elementDescription" value="#{partIdentification.participantObjectTypeCode}"/>
        </ui:include>
        <ui:include src="../template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.ParticipantObjectTypeCodeRole']}"/>
            <ui:param name="elementDescription" value="#{partIdentification.participantObjectTypeCodeRole}"/>
        </ui:include>
        <ui:include src="../template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.ParticipantObjectDataLifeCycle']}"/>
            <ui:param name="elementDescription" value="#{partIdentification.participantObjectDataLifeCycle}"/>
        </ui:include>
        <ui:include src="../template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.ParticipantObjectIDTypeCode']}"/>
            <ui:param name="elementDescription" value="#{partIdentification.participantObjectIDTypeCode}"/>
        </ui:include>
        <ui:include src="../template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.ParticipantObjectSensitivity']}"/>
            <ui:param name="elementDescription" value="#{partIdentification.participantObjectSensitivity}"/>
        </ui:include>
        <ui:include src="../template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.ParticipantObjectID']}"/>
            <ui:param name="elementDescription" value="#{partIdentification.participantObjectID}"/>
        </ui:include>
        <ui:include src="../template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.ParticipantObjectName']}"/>
            <ui:param name="elementDescription" value="#{partIdentification.participantObjectName}"/>
        </ui:include>
        <ui:include src="../template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.ParticipantObjectQuery']}"/>
            <ui:param name="elementDescription" value="#{partIdentification.participantObjectQuery}"/>
        </ui:include>
        <ui:include src="../template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.ParticipantObjectDetail']}"/>
            <ui:param name="elementDescription" value="#{partIdentification.participantObjectDetail}"/>
        </ui:include>
        <ui:include src="../template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.ParticipantObjectDescription']}"/>
            <ui:param name="elementDescription" value="#{partIdentification.participantObjectDescription}"/>
        </ui:include>
        <ui:include src="../template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.MPPS']}"/>
            <ui:param name="elementDescription" value="#{partIdentification.mpps}"/>
        </ui:include>
        <ui:include src="../template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.Accession']}"/>
            <ui:param name="elementDescription" value="#{partIdentification.accession}"/>
        </ui:include>
        <ui:include src="../template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.SOPClass']}"/>
            <ui:param name="elementDescription" value="#{partIdentification.sopClass}"/>
        </ui:include>
        <ui:include src="../template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.NumberOfInstances']}"/>
            <ui:param name="elementDescription" value="#{partIdentification.numberOfInstances}"/>
        </ui:include>
        <ui:include src="../template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.Instance']}"/>
            <ui:param name="elementDescription" value="#{partIdentification.instance}"/>
        </ui:include>
        <ui:include src="../template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.ParticipantObjectContainsStudy']}"/>
            <ui:param name="elementDescription" value="#{partIdentification.participantObjectContainsStudy}"/>
        </ui:include>
        <ui:include src="../template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.Encrypted']}"/>
            <ui:param name="elementDescription" value="#{partIdentification.encrypted}"/>
        </ui:include>
        <ui:include src="../template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.Anonymized']}"/>
            <ui:param name="elementDescription" value="#{partIdentification.anonymized}"/>
        </ui:include>
    </ui:decorate>
</ui:composition>
